Bio::MAGETAB::Util::Reader::IDF(3)

NAME
Bio::MAGETAB::Util::Reader::IDF - IDF parser class.

SYNOPSIS
 use Bio::MAGETAB::Util::Reader::IDF;
 my $parser = Bio::MAGETAB::Util::Reader::IDF->new({
     uri => $idf_filename,
 });
 my $investigation = $parser->parse();

DESCRIPTION
This class is used to parse IDF files. It can be used on its own, but more often you will want to use the main Bio::MAGETAB::Util::Reader class which handles extended parsing options more transparently.

ATTRIBUTES
See the TagValueFile class for superclass attributes.

magetab_object
    A Bio::MAGETAB::Investigation object. This can either be set upon instantiation, or a new object will be created for you. It can be retrieved at any time using "get_magetab_object".

document_version
    A string representing the MAGE-TAB version used in the parsed document. This is populated by the parse() method.

METHODS

parse
    Parse the IDF pointed to by "$self->get_uri()". Returns the Bio::MAGETAB::Investigation object updated with the IDF contents.

SEE ALSO
Bio::MAGETAB::Util::Reader::TagValueFile Bio::MAGETAB::Util::Reader::Tabfile Bio::MAGETAB::Util::Reader Bio::MAGETAB::Investigation

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).